[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomPrinterSetupDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Base class for TPrinterSetupDialog and TPageSetupDialog.

## Declaration

Source position: dialogs.pp line 534

`type TCustomPrinterSetupDialog = class(TCommonDialog)`

## Inheritance

`TCustomPrinterSetupDialog` |  | Base class for TPrinterSetupDialog and TPageSetupDialog.
`TCommonDialog` |  | The base type from which other dialogs are derived.
`TLCLComponent` |  | The base class for LCL components which have an associated widget.
`TComponent`
?
`TObject`